
Foreman - Bug #3663

smart class parameter are listed twice when filtered by puppetclass

11/15/2013 12:58 PM - Martin Bacovsky

Status: New   

Priority: Normal   

Assignee: Kavita Gaikwad   

Category: API   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

It is API v2, excerpt from server log attached. It was not spotted when filtered by host, hostgroup or env

Started GET "/api/puppetclasses/9/smart_class_parameters" for 127.0.0.1 at 2013-11-15 13:52:58 +0100

Processing by Api::V2::SmartClassParametersController#index as JSON

Parameters: {"puppetclass_id"=>"9", "smart_class_parameter"=>{}}

.....

Rendered api/v2/smart_class_parameters/index.json.rabl (170.0ms)

Body:

{"smart_class_parameters":[{"parameter":"sat6_baseurl","id":22,"description":"","override":false,"parameter_type":"string","default_val

ue":"${$sat6::params::sat6_baseurl}","required":false,"validator_type":null,"validator_rule":null,"override_value_order":"fqdn\nhostgro

up\nos\ndomain","override_values_count":0,"created_at":"2013-10-09T11:59:37Z","updated_at":"2013-10-09T12:00:32Z","override_v

alues":[],"environments":[{"environment":{"id":2,"name":"development"}},{"environment":{"id":3,"name":"testing"}}]},{"parameter":"sat6_

baseurl","id":22,"description":"","override":false,"parameter_type":"string","default_value":"${$sat6::params::sat6_baseurl}","required":

false,"validator_type":null,"validator_rule":null,"override_value_order":"fqdn\nhostgroup\nos\ndomain","override_values_count":0,"cre

ated_at":"2013-10-09T11:59:37Z","updated_at":"2013-10-09T12:00:32Z","override_values":[],"environments":[{"environment":{"id":2,"

name":"development"}},{"environment":{"id":3,"name":"testing"}}]},{"parameter":"sat6_version","id":20,"description":"Sat6

Compose","override":true,"parameter_type":"string","default_value":"MDP2-S7-C1","required":true,"validator_type":"","validator_rule":

"MDP2-S4-C3, MDP2-S4-C4,

MDP2-S5-C1","override_value_order":"fqdn\nhostgroup\nos\ndomain","override_values_count":0,"created_at":"2013-10-07T09:24:50

Z","updated_at":"2013-11-11T14:16:15Z","override_values":[],"environments":[{"environment":{"id":2,"name":"development"}},{"enviro

nment":{"id":3,"name":"testing"}}]},{"parameter":"sat6_version","id":20,"description":"Sat6

Compose","override":true,"parameter_type":"string","default_value":"MDP2-S7-C1","required":true,"validator_type":"","validator_rule":

"MDP2-S4-C3, MDP2-S4-C4,

MDP2-S5-C1","override_value_order":"fqdn\nhostgroup\nos\ndomain","override_values_count":0,"created_at":"2013-10-07T09:24:50

Z","updated_at":"2013-11-11T14:16:15Z","override_values":[],"environments":[{"environment":{"id":2,"name":"development"}},{"enviro

nment":{"id":3,"name":"testing"}}]}]}

Completed 200 OK in 302ms (Views: 130.4ms | ActiveRecord: 103.7ms)

My guess is that group by is missing envs, but may just be coincidence..

History

#1 - 01/03/2017 07:17 AM - Kavita Gaikwad

- Assignee set to Kavita Gaikwad

- Target version set to 1.15.6

#2 - 01/10/2017 06:33 AM - Kavita Gaikwad

I am not able to reproduce this issue. This may be fixed in the latest release.

#3 - 01/10/2017 07:09 AM - Kavita Gaikwad

- Target version changed from 1.15.6 to 158
